<?php
/**
 * The template for displaying the header.
 *
 * Displays everything from the doctype declaration down to the navigation.
 */
?>
<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?>>	   
	<div class="main-container">
		<header id="site-header" class="clearfix" role="banner" itemscope itemtype="http://schema.org/WPHeader">
			<div class="top-bar">
				<div class="container clearfix">
					<?php if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
						<div id="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						<?php if ( $mts_options['mts_show_secondary_nav'] !== '1' ) {?><a href="#" id="pull" class="toggle-mobile-menu"><i class="fa fa-bars"></i></a><?php } ?>
							<nav class="navigation clearfix<?php if ( $mts_options['mts_show_secondary_nav'] !== '1' ) echo ' mobile-menu-wrapper'; ?>">
								<?php if ( has_nav_menu( 'primary' ) ) { ?>
									<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								<?php } else { ?>
									<ul class="menu clearfix">
										<?php wp_list_pages('title_li='); ?>
									</ul>
								<?php } ?>
							</nav>
							<?php //mts_cart(); ?>
						</div>
					<?php } ?>
					<?php if ( $mts_options['mts_header_search'] == '1' ) { ?>
						<div class="header-search">
							<form method="get" id="searchform" class="searchbox search-form" action="<?php echo esc_attr( home_url() ); ?>" _lpchecked="1">
								<input type="text" name="s" id="s" class="searchbox-input" value="<?php the_search_query(); ?>" <?php if (!empty($mts_options['mts_ajax_search'])) echo ' autocomplete="off"'; ?> placeholder="Search" />
								<span class="searchbox-icon"><i class="fa fa-search"></i></span>
							</form>
						</div>
					<?php } ?>
				</div><!--.container-->
			</div><!--.top-bar-->
			<?php if( $mts_options['mts_sticky_nav'] == '1' ) { ?>
				<div id="catcher" class="clear"></div>
				<div id="header" class="sticky-navigation">
			<?php } else { ?>
				<div id="header">
			<?php } ?>
			<!-- <div id="header"> -->
				<div class="container clearfix">
					<div class="logo-wrap">
						<?php if ( $mts_options['mts_logo'] != '' && $mts_logo = wp_get_attachment_image_src( $mts_options['mts_logo'], 'full' ) ) { ?>
							<?php if ( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
								<h2 id="logo" class="image-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>">
										<img src="<?php echo esc_url( $mts_logo[0] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" width="<?php echo esc_attr( $mts_logo[1] ); ?>" height="<?php echo esc_attr( $mts_logo[2] ); ?>"></a>
								</h2><!-- END #logo -->
							<?php } ?>

						<?php } else { ?>

							<?php if ( is_front_page() || is_home() || is_404() ) { ?>
								<h1 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
								</h1><!-- END #logo -->
							<?php } else { ?>
								<h2 id="logo" class="text-logo" itemprop="headline">
									<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
								</h2><!-- END #logo -->
							<?php } ?>

						<?php } ?>
					</div>
					
					<?php if ( $mts_options['mts_show_secondary_nav'] == '1' ) { ?>
						<div id="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						<a href="#" id="pull" class="toggle-mobile-menu"><i class="fa fa-bars"></i></a>
						<?php if ( has_nav_menu( 'mobile' ) ) { ?>
							<nav class="navigation clearfix">
								<?php if ( has_nav_menu( 'secondary' ) ) { ?>
									<?php wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								<?php } else { ?>
									<ul class="menu clearfix">
										<?php wp_list_categories('title_li='); ?>
									</ul>
								<?php } ?>
							</nav>
							<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
								<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
							</nav>
						<?php } else { ?>
							<nav class="navigation clearfix mobile-menu-wrapper">
								<?php if ( has_nav_menu( 'secondary' ) ) { ?>
									<?php wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
								<?php } else { ?>
									<ul class="menu clearfix">
										<?php wp_list_categories('title_li='); ?>
									</ul>
								<?php } ?>
							</nav>
						<?php } ?>
					</div>
					<?php } ?>
					<div class="top-right-side">
						<?php if( isset($mts_options['mts_header_right']['upload']) == 1 ) { ?>
							<div class="upload-button">
								<a href="<?php echo ( is_user_logged_in() ) ? admin_url('post-new.php') : wp_login_url(); ?>"><i class="fa fa-cloud-upload"></i> <?php _e('Upload', 'viral'); ?></a>
							</div>
						<?php } ?>
						<?php if( isset($mts_options['mts_header_right']['login']) == 1 ) { ?>
							<div class="header-login">
								<?php if ( is_user_logged_in() ) { ?>
									<div class="login-wrap logged-in">
										<?php $current_user = wp_get_current_user();
										echo get_avatar( $current_user->ID, 30 ); ?>
										<span class="user-name"><?php echo $current_user->display_name; ?></span>
										<div class="logged-in-sub">
											<a href="<?php echo get_edit_user_link(); ?>"><?php _e('Edit Profile','viral'); ?></a>
											<a href="<?php echo wp_logout_url(); ?>"><?php _e('Logout','viral'); ?></a>
										</div>
									</div>
								<?php } else { ?>
									<div class="login-wrap not-logged-in">
										<a href="<?php echo wp_login_url(); ?>"><?php _e('Login','viral'); ?></a>
										<a href="<?php echo wp_registration_url(); ?>"><?php _e('Sign up','viral'); ?></a>
									</div>
								<?php } ?>
							</div>
						<?php } ?>
						<?php if( isset($mts_options['mts_header_right']['random']) == 1 ) { ?>
							<div class="random-link">
								<?php query_posts(array('orderby' => 'rand', 'showposts' => 1, 'ignore_sticky_posts' => 1));
									if (have_posts()) : while (have_posts()) : the_post(); ?>
										<a href="<?php the_permalink() ?>" title="<?php _e('Random Post','viral'); ?>"><i class="fa fa-random"></i></a>
									<?php endwhile; wp_reset_query();
								endif; ?>
							</div>
						<?php } ?>
					</div>
				</div><!--.container-->
			</div><!--#header-->
			<?php $layout = mts_get_posts_layout(); ?>
			<div class="header-bottom">
				<div class="container clearfix">
					<?php mts_header_buttons(); ?>
					<div class="right-side">
						<?php if( ( is_home() || is_archive() || is_search() ) && isset($mts_options['mts_header_layout_icons']) && $mts_options['mts_header_layout_icons'] == 1 ) : ?>
							<div class="grid-icons">
								<ul class="links">
	                                <li data-layout="post-type-1" <?php if( 'post-type-1' === $layout ) echo 'class="active"'; ?>><i class="fa fa-square"></i></li>
	                                <li data-layout="post-type-2" <?php if( 'post-type-2' === $layout ) echo 'class="active"'; ?>><i class="fa fa-th-large"></i></li>
	                                <li data-layout="post-type-3" <?php if( 'post-type-3' === $layout ) echo 'class="active"'; ?>><i class="fa fa-th"></i></li>
	                            </ul>
							</div><!--.grid-icons-->
						<?php endif; ?>
					</div>
				</div>
			</div>
		</header>

		<?php dynamic_sidebar('widget-header'); ?>