jQuery.fn.exists = function(callback) {
  var args = [].slice.call(arguments, 1);
  if (this.length) {
	callback.call(this, args);
  }
  return this;
};

/*----------------------------------------------------
/* Make all anchor links smooth scrolling
/*--------------------------------------------------*/
jQuery(document).ready(function($) {
 // scroll handler
  var scrollToAnchor = function( id, event ) {
	// grab the element to scroll to based on the name
	var elem = $("a[name='"+ id +"']");
	// if that didn't work, look for an element with our ID
	if ( typeof( elem.offset() ) === "undefined" ) {
	  elem = $("#"+id);
	}
	// if the destination element exists
	if ( typeof( elem.offset() ) !== "undefined" ) {
	  // cancel default event propagation
	  event.preventDefault();

	  // do the scroll
	  // also hide mobile menu
	  var scroll_to = elem.offset().top;
	  $('html, body').removeClass('mobile-menu-active').animate({
			  scrollTop: scroll_to
	  }, 600, 'swing', function() { if (scroll_to > 46) window.location.hash = id; } );
	}
  };
  // bind to click event
  $("a").click(function( event ) {
	// only do this if it's an anchor link
	var href = $(this).attr("href");
	if ( href && href.match("#") && href !== '#' ) {
	  // scroll to the location
	  var parts = href.split('#'),
		url = parts[0],
		target = parts[1];
	  if ((!url || url == window.location.href.split('#')[0]) && target)
		scrollToAnchor( target, event );
	}
  });
});

/*----------------------------------------------------
/* Responsive Navigation
/*--------------------------------------------------*/
if (mts_customscript.responsive && mts_customscript.nav_menu != 'none') {
	jQuery(document).ready(function($){
		$('#secondary-navigation').append('<div id="mobile-menu-overlay" />');
		// merge if two menus exist
		if (mts_customscript.nav_menu == 'both' && !$('.navigation.mobile-only').length) {
			$('.navigation').not('.mobile-menu-wrapper').find('.menu').clone().appendTo('.mobile-menu-wrapper').hide();
		}
	
		$('.toggle-mobile-menu').click(function(e) {
			e.preventDefault();
			e.stopPropagation();
			$('body').toggleClass('mobile-menu-active');

			if ( $('body').hasClass('mobile-menu-active') ) {
				if ( $(document).height() > $(window).height() ) {
					var scrollTop = ( $('html').scrollTop() ) ? $('html').scrollTop() : $('body').scrollTop();
					$('html').addClass('noscroll').css( 'top', -scrollTop );
				}
				$('#mobile-menu-overlay').fadeIn();
			} else {
				var scrollTop = parseInt( $('html').css('top') );
				$('html').removeClass('noscroll');
				$('html,body').scrollTop( -scrollTop );
				$('#mobile-menu-overlay').fadeOut();
			}
		});
	}).on('click', function(event) {

		var $target = jQuery(event.target);
		if ( ( $target.hasClass("fa") && $target.parent().hasClass("toggle-caret") ) ||  $target.hasClass("toggle-caret") ) {// allow clicking on menu toggles
			return;
		}
		jQuery('body').removeClass('mobile-menu-active');
		jQuery('html').removeClass('noscroll');
		jQuery('#mobile-menu-overlay').fadeOut();
	});
}

/*----------------------------------------------------
/*  Dropdown menu
/* ------------------------------------------------- */
jQuery(document).ready(function($) {
	
	function mtsDropdownMenu() {
		var wWidth = $(window).width();
		if(wWidth > 865) {
			$('.navigation ul.sub-menu, .navigation ul.children').hide();
			var timer;
			var delay = 100;
			$('.navigation li').unbind('hover').hover( 
			  function() {
				var $this = $(this);
				timer = setTimeout(function() {
					$this.children('ul.sub-menu, ul.children').slideDown('fast');
				}, delay);
				
			  },
			  function() {
				$(this).children('ul.sub-menu, ul.children').hide();
				clearTimeout(timer);
			  }
			);
		} else {
			$('.navigation li').unbind('hover');
			$('.navigation li.active > ul.sub-menu, .navigation li.active > ul.children').show();
		}
	}

	mtsDropdownMenu();

	$(window).resize(function() {
		mtsDropdownMenu();
	});
});

/*---------------------------------------------------
/*  Vertical menus toggles
/* -------------------------------------------------*/
jQuery(document).ready(function($) {

	$('.widget_nav_menu, .navigation .menu').addClass('toggle-menu');
	$('.toggle-menu ul.sub-menu, .toggle-menu ul.children').addClass('toggle-submenu');
	$('.toggle-menu ul.sub-menu').parent().addClass('toggle-menu-item-parent');

	$('.toggle-menu .toggle-menu-item-parent').append('<span class="toggle-caret"><i class="fa fa-plus"></i></span>');

	$('.toggle-caret').click(function(e) {
		e.preventDefault();
		$(this).parent().toggleClass('active').children('.toggle-submenu').slideToggle('fast');
	});
});

/*----------------------------------------------------
/* Social button scripts
/*---------------------------------------------------*/
jQuery(document).ready(function($){
	(function(d, s) {
	  var js, fjs = d.getElementsByTagName(s)[0], load = function(url, id) {
		if (d.getElementById(id)) {return;}
		js = d.createElement(s); js.src = url; js.id = id;
		fjs.parentNode.insertBefore(js, fjs);
	  };
	jQuery('.header-item.facebookbtn, .fb-comments, .facebook_like').exists(function() {
	  load('//connect.facebook.net/en_US/all.js#xfbml=1&version=v2.8', 'fbjssdk');
	});
	jQuery('.header-item.gplusbtn').exists(function() {
	  load('https://apis.google.com/js/plusone.js', 'gplus1js');
	});
	jQuery('.header-item.twitterbtn').exists(function() {
	  load('//platform.twitter.com/widgets.js', 'tweetjs');
	});
	jQuery('span.pinbtn').exists(function() {
	  load('//assets.pinterest.com/js/pinit.js', 'pinterestjs');
	});
	}(document, 'script'));
});

/*----------------------------------------------------
/* Lazy load avatars
/*---------------------------------------------------*/
jQuery(document).ready(function($){
	var lazyloadAvatar = function(){
		$('.comment-author .avatar').each(function(){
			var distanceToTop = $(this).offset().top;
			var scroll = $(window).scrollTop();
			var windowHeight = $(window).height();
			var isVisible = distanceToTop - scroll < windowHeight;
			if( isVisible ){
				var hashedUrl = $(this).attr('data-src');
				if ( hashedUrl ) {
					$(this).attr('src',hashedUrl).removeClass('loading');
				}
			}
		});
	};
	if ( $('.comment-author .avatar').length > 0 ) {
		$('.comment-author .avatar').each(function(i,el){
			$(el).attr('data-src', el.src).removeAttr('src').addClass('loading');
		});
		$(function(){
			$(window).scroll(function(){
				lazyloadAvatar();
			});
		});
		lazyloadAvatar();
	}
});

/*SearchBox Header*/
jQuery(document).ready(function(){
	var submitIcon = jQuery('.searchbox-icon');
	var inputBox = jQuery('.searchbox-input');
	var searchBox = jQuery('.searchbox');
	var isOpen = false;
	submitIcon.click(function(){
		if(isOpen == false){
			searchBox.addClass('searchbox-open');
			inputBox.focus();
			isOpen = true;
		} else {
			searchBox.removeClass('searchbox-open');
			inputBox.focusout();
			jQuery('.ajax-search-results-container').hide();
			isOpen = false;
		}
	});  
	submitIcon.mouseup(function(){
		return false;
	});
	searchBox.mouseup(function(){
		return false;
	});
	jQuery(document).mouseup(function(){
		if(isOpen == true){
			jQuery('.searchbox-icon').css('display','block');
			submitIcon.click();
		}
	});
});

/*----------------------------------------------------
/* Post-Tabs
/*---------------------------------------------------*/
jQuery(document).ready(function($) {
	if ( $('.featured-view-posts').length ) {

		var $container = $('.featured-view-posts');
			
		$container.imagesLoaded().progress( function(){
			$container.isotope({
				itemSelector : '.latestPost',
				transitionDuration: '0.8s',
				percentPosition: true,
				masonry: {
					columnWidth: '.latestPost',
					gutter: 14
				}
			});
		});
		$container.fadeIn(1000);

		$('.grid-icons .links li').on('click', function(e)  {
			e.preventDefault();
			var currentAttrValue = $(this).data('layout');
			$.cookie('mts_posts_layout', currentAttrValue, { expires: 7, path: '/' }); // 7 days
			$(this).addClass('active').siblings().removeClass('active');
			$('.featured-view-posts').removeClass('post-type-1 post-type-2 post-type-3').addClass( currentAttrValue )
				.find('img.wp-post-image').each(function(index, el) {
					var newsrc = $(this).closest('.featured-thumbnail').data( currentAttrValue+'-src' );
					if ( newsrc != '' ) {
						$(this).attr('src', newsrc);
					}
				});

			$container.imagesLoaded().progress(function() {
				$container.isotope('layout');
			});
		});
	}
});


/*----------------------------------------------------
/* Like / Dislike
/*---------------------------------------------------*/
if (mts_customscript.like) {
    jQuery(document).ready(function($) {
        if ($('.post-like').length) {
            $(document).on('click', '.post-like', function() {
                var $this = $(this),
                    postid = $this.data('postid');
                if ($this.hasClass('active') || $this.hasClass('inactive')) {
                    return false;
                }
                var comment = '0';
        		if ( $this.hasClass('mts-comment-like-dislike')) {
        			comment = '1';
        		}
                // ajax
                $.ajax({
                    url: mts_customscript.ajaxurl,
                    type: 'POST',
                    data: {action: 'mts_rate', post_id: postid, rating: '1', comment_vote: comment},
                })
                .always(function() {
                    $this.addClass('active').parent().find('.like-count').text(function() { return parseInt($(this).text())+1; });
                    $this.parent().find('.post-dislike').addClass('inactive');
                });
            });
            $(document).on('click', '.post-dislike', function() {
                var $this = $(this),
                    postid = $this.data('postid');
                if ($this.hasClass('active') || $this.hasClass('inactive')) {
                    return false;
                }
                var comment = '0';
        		if ( $this.hasClass('mts-comment-like-dislike')) {
        			comment = '1';
        		}
                // ajax
                $.ajax({
                    url: mts_customscript.ajaxurl,
                    type: 'POST',
                    data: {action: 'mts_rate', post_id: postid, rating: '-1', comment_vote: comment},
                })
                .always(function() {
                    $this.addClass('active').parent().find('.like-count').text(function() { return parseInt($(this).text())-1; });
                    $this.parent().find('.post-like').addClass('inactive');
                });
            });

            // Retreive ratings via JS to prevent caching
            $(window).load(function() {
            	var posts = [];
            	var $likebuttons = $('.post-like').each(function(i) {
            		var $this = $(this);
            		var comment = '0';
            		if ( $this.hasClass('mts-comment-like-dislike')) {
            			comment = '1';
            		}
	                posts[i] = { postid: $this.data('postid'), iscomment: comment };
                });
                
            	$.ajax({
                    url: mts_customscript.ajaxurl,
                    type: 'POST',
                    dataType: 'json',
                    data: {action: 'mts_ratings', posts: posts}
                })
                .done(function(data) {
                    $likebuttons.each(function(index, el) {
                    	var $like = $(this),
                        $dislike = $like.parent().find('.post-dislike');

	                    $like.parent().find('.like-count').text(function() { return parseInt(data[index].likes)-parseInt(data[index].dislikes); });
	                    var rated = parseInt(data[index].has_rated);
	                    if (rated == 1) {
	                        $like.addClass('active').removeClass('inactive');
	                        $dislike.removeClass('active').addClass('inactive');
	                    } else if (rated == -1) {
	                        $dislike.addClass('active').removeClass('inactive');
	                        $like.removeClass('active').addClass('inactive');
	                    } else { // data.rated == 0
	                        $like.removeClass('active inactive');
	                        $dislike.removeClass('active inactive');
	                    }
                    });
                }); 
                
            });
        }     
    });
}

/*----------------------------------------------------
/* Tabs
/*---------------------------------------------------*/
jQuery(document).ready(function($){
    var tabItems = $('.cd-tabs-navigation a'),
        tabContentWrapper = $('.cd-tabs-content');

    tabItems.on('click', function(event){
        event.preventDefault();
        var selectedItem = $(this);
        if( !selectedItem.hasClass('selected') ) {
            var selectedTab = selectedItem.data('content'),
                selectedContent = tabContentWrapper.find('li[data-content="'+selectedTab+'"]'),
                slectedContentHeight = selectedContent.innerHeight();
            
            tabItems.removeClass('selected');
            selectedItem.addClass('selected');
            selectedContent.addClass('selected').siblings('li').removeClass('selected');
        }
    });

    //hide the .cd-tabs::after element when tabbed navigation has scrolled to the end (mobile version)
    checkScrolling($('.cd-tabs nav'));
    $(window).on('resize', function(){
        checkScrolling($('.cd-tabs nav'));
        tabContentWrapper.css('height', 'auto');
    });
    $('.cd-tabs nav').on('scroll', function(){ 
        checkScrolling($(this));
    });

    function checkScrolling(tabs){
        var totalTabWidth = parseInt(tabs.children('.cd-tabs-navigation').width()),
            tabsViewport = parseInt(tabs.width());
        if( tabs.scrollLeft() >= totalTabWidth - tabsViewport) {
            tabs.parent('.cd-tabs').addClass('is-ended');
        } else {
            tabs.parent('.cd-tabs').removeClass('is-ended');
        }
    }
});
